﻿@page "{RealmID}"
@using Microsoft.Extensions.Localization;
@inject IStringLocalizer StringLocalizer;
@model Canyon.GM.Panel.Areas.Realm.Pages.IndexModel
@{
    if (Model.RealmID.Equals(default))
    {
        ViewData[TITLE] = StringLocalizer.GetString("NewRealm");
    }
    else
    {
        ViewData[TITLE] = StringLocalizer.GetString("RealmManagement", Model.Realm.RealmName);
    }
}

<form method="post">

    <div class="mt-30 mb-40">

        @await Html.PartialAsync("_ErrorSummary")

        <div class="row mt-2">
            <div class="col-md-6">
                <div class="row">
                    <label class="control-label col-sm-4">@StringLocalizer.GetString("RealmID")</label>
                    <div class="col-sm-8">
                        @Model.Realm.RealmID
                    </div>
                </div>
            </div>
            <div class="col-md-6">
                <div class="row">
                    <label class="control-label col-sm-4">@StringLocalizer.GetString("RealmName")</label>
                    <div class="col-sm-8">
                        <input class="form-control" asp-for="Input.RealmName" />
                    </div>
                </div>
            </div>
        </div>

        <div class="row mt-2">
            <div class="col-md-6">
                <div class="row">
                    <label class="control-label col-sm-4">@StringLocalizer.GetString("Active")</label>
                    <div class="col-sm-8">
                        <div class="checkbox">
                            <label>
                                <input type="checkbox" asp-for="Input.Active">
                            </label>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-md-6">
                <div class="row">
                    <label class="control-label col-sm-4">@StringLocalizer.GetString("Production")</label>
                    <div class="col-sm-8">
                        <div class="checkbox">
                            <label>
                                <input type="checkbox" asp-for="Input.ProductionRealm">
                            </label>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="row mt-3">
            <div class="col-md-6">
                <h3>@StringLocalizer["DatabaseInformation"]</h3>

                <p>&nbsp;</p>

                <div class="row mt-2">
                    <label class="control-label col-sm-4">@StringLocalizer.GetString("Hostname")</label>
                    <div class="col-sm-8">
                        <input class="form-control" asp-for="Input.DatabaseHost" />
                    </div>
                </div>

                <div class="row mt-2">
                    <label class="control-label col-sm-4">@StringLocalizer.GetString("Port")</label>
                    <div class="col-sm-8">
                        <input class="form-control" asp-for="Input.DatabasePort" />
                    </div>
                </div>

                <div class="row mt-2">
                    <label class="control-label col-sm-4">@StringLocalizer.GetString("UserName")</label>
                    <div class="col-sm-8">
                        <input class="form-control" asp-for="Input.DatabaseUser" />
                    </div>
                </div>

                <div class="row mt-2">
                    <label class="control-label col-sm-4">@StringLocalizer.GetString("Password")</label>
                    <div class="col-sm-8">
                        <input class="form-control" asp-for="Input.DatabasePass" />
                    </div>
                </div>

                <div class="row mt-2">
                    <label class="control-label col-sm-4">@StringLocalizer.GetString("Schema")</label>
                    <div class="col-sm-8">
                        <input class="form-control" asp-for="Input.DatabaseSchema" />
                    </div>
                </div>
            </div>

            <div class="col-md-6">
                <h3>@StringLocalizer["RealmConnectivity"]</h3>
                <p>&nbsp;</p>
                <div class="row mt-2">
                    <label class="control-label col-sm-4">@StringLocalizer.GetString("RpcIPAddress")</label>
                    <div class="col-sm-8">
                        <input class="form-control" asp-for="Input.RpcIPAddress" />
                    </div>
                </div>

                <div class="row mt-2">
                    <label class="control-label col-sm-4">@StringLocalizer.GetString("RpcPort")</label>
                    <div class="col-sm-8">
                        <input class="form-control" asp-for="Input.RpcPort" />
                    </div>
                </div>

                <div class="row mt-2">
                    <label class="control-label col-sm-4">@StringLocalizer.GetString("GameIPAddress")</label>
                    <div class="col-sm-8">
                        <input class="form-control" asp-for="Input.GameIPAddress" />
                    </div>
                </div>

                <div class="row mt-2">
                    <label class="control-label col-sm-4">@StringLocalizer.GetString("GamePort")</label>
                    <div class="col-sm-8">
                        <input class="form-control" asp-for="Input.GamePort" />
                    </div>
                </div>

                <div class="row mt-2">
                    <label class="control-label col-sm-4">@StringLocalizer.GetString("UserName")</label>
                    <div class="col-sm-8">
                        <input class="form-control" asp-for="Input.Username" />
                    </div>
                </div>

                <div class="row mt-2">
                    <label class="control-label col-sm-4">@StringLocalizer.GetString("Password")</label>
                    <div class="col-sm-8">
                        <input class="form-control" asp-for="Input.Password" />
                    </div>
                </div>
            </div>
        </div>

        <div class="row mt-2">
            <div class="col-md-6">
                <h3>@StringLocalizer["GmToolsSettings"]</h3>
                <p>&nbsp;</p>
                <div class="row mt-2">
                    <label class="control-label col-sm-4">@StringLocalizer.GetString("GmToolsHost")</label>
                    <div class="col-sm-8">
                        <input class="form-control" asp-for="Input.GmToolsHost" />
                    </div>
                </div>

                <div class="row mt-2">
                    <label class="control-label col-sm-4">@StringLocalizer.GetString("GmToolsPort")</label>
                    <div class="col-sm-8">
                        <input class="form-control" asp-for="Input.GmToolsPort" />
                    </div>
                </div>

                <div class="row mt-2">
                    <label class="control-label col-sm-4">@StringLocalizer.GetString("GmToolsUserName")</label>
                    <div class="col-sm-8">
                        <input class="form-control" asp-for="Input.GmToolsUserName" />
                    </div>
                </div>

                <div class="row mt-2">
                    <label class="control-label col-sm-4">@StringLocalizer.GetString("GmToolsPassword")</label>
                    <div class="col-sm-8">
                        <input class="form-control" asp-for="Input.GmToolsPassword" />
                    </div>
                </div>
            </div>
        </div>

    </div>

    <button class="btn btn-dark mt-3" type="submit">@StringLocalizer["Submit"]</button>
</form>